Bug 45632 - REGRESSION: In Gmail, a crash occurs at getDoubleValue() when applying a text color to a new line
Summary: REGRESSION: In Gmail, a crash occurs at getDoubleValue() when applying a text...
Status: CLOSED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P1 Blocker
Assignee: Ryosuke Niwa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-12 21:48 PDT by Chris Petersen
Modified: 2010-09-23 21:27 PDT (History)
6 users (show)

See Also:


Attachments
crash demo (526 bytes, text/html)
2010-09-13 00:31 PDT, Ryosuke Niwa
no flags Details
Patch (4.67 KB, patch)
2010-09-13 11:09 PDT, Ryosuke Niwa
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Petersen 2010-09-12 21:48:50 PDT
1) Launch Webkit NB R67358 on 10.6.4
2) Login to your Gmail account and create a new rich text message
3) Place caret in message body
4) Click the foreground text color icon so it's color palette appear
5) Select a color from this palette and mouse up . Crash occurs.


Process:         Safari [479]
Path:            /Applications/Safari.app/Contents/MacOS/Safari
Identifier:      org.webkit.nightly.WebKit
Version:         r67358 (67358)
Code Type:       X86 (Native)
Parent Process:  launchd [91]

Date/Time:       2010-09-12 21:19:08.029 -0700
OS Version:      Mac OS X 10.6.4 (10F569)
Report Version:  6

Interval Since Last Report:          754502 sec
Crashes Since Last Report:           10
Per-App Interval Since Last Report:  722 sec
Per-App Crashes Since Last Report:   1
Anonymous UUID:                      B0A7A7C4-B6FC-43DE-8EBE-1ACD3F221BD4

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000008
Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Thread 0 Crashed:  Dispatch queue: com.apple.main-thread
0   com.apple.WebCore             	0x00aba443 WebCore::CSSPrimitiveValue::getDoubleValue(unsigned short) + 19
1   com.apple.WebCore             	0x00bf0aa7 WebCore::Editor::selectionStartCSSPropertyValue(int) + 247
2   com.apple.WebCore             	0x00bfb36f WebCore::valueStyle(WebCore::Frame*, int) + 31
3   com.apple.WebCore             	0x00bfb3f9 WebCore::valueFontSize(WebCore::Frame*, WebCore::Event*) + 25
4   com.apple.WebCore             	0x00bfcc54 WebCore::Editor::Command::value(WebCore::Event*) const + 84
5   com.apple.WebCore             	0x00b3256a WebCore::Document::queryCommandValue(WTF::String const&) + 58
6   com.apple.WebCore             	0x00e49450 WebCore::jsDocumentPrototypeFunctionQueryCommandValue(JSC::ExecState*) + 320
7   ???                           	0x1d4f4edb 0 + 491736795
8   com.apple.JavaScriptCore      	0x006158fb JSC::Interpreter::executeCall(JSC::ExecState*, JSC::JSObject*, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&, JSC::JSValue*) + 1611
9   ???                           	0x30cb4140 0 + 818626880
10  ???                           	0x1d67c000 0 + 493338624

Thread 1:  Dispatch queue: com.apple.libdispatch-manager
0   libSystem.B.dylib             	0x995f1942 kevent + 10
1   libSystem.B.dylib             	0x995f205c _dispatch_mgr_invoke + 215
2   libSystem.B.dylib             	0x995f1519 _dispatch_queue_invoke + 163
3   libSystem.B.dylib             	0x995f12be _dispatch_worker_thread2 + 240
4   libSystem.B.dylib             	0x995f0d41 _pthread_wqthread + 390
5   libSystem.B.dylib             	0x995f0b86 start_wqthread + 30

Thread 2:  WebCore: IconDatabase
0   libSystem.B.dylib             	0x995f9066 __semwait_signal + 10
1   libSystem.B.dylib             	0x995f8d22 _pthread_cond_wait + 1191
2   libSystem.B.dylib             	0x995fa9b8 pthread_cond_wait$UNIX2003 + 73
3   com.apple.WebCore             	0x00d188be WebCore::IconDatabase::syncThreadMainLoop() + 270
4   com.apple.WebCore             	0x00d189fc WebCore::IconDatabase::iconDatabaseSyncThread() + 188
5   libSystem.B.dylib             	0x995f881d _pthread_start + 345
6   libSystem.B.dylib             	0x995f86a2 thread_start + 34

Thread 3:  Safari: CertRevocationChecker
0   libSystem.B.dylib             	0x995cb0fa mach_msg_trap + 10
1   libSystem.B.dylib             	0x995cb867 mach_msg + 68
2   com.apple.CoreFoundation      	0x949f3faf __CFRunLoopRun + 2079
3   com.apple.CoreFoundation      	0x949f3094 CFRunLoopRunSpecific + 452
4   com.apple.CoreFoundation      	0x949f2ec1 CFRunLoopRunInMode + 97
5   com.apple.Safari              	0x0002f4ff 0x1000 + 189695
6   com.apple.Safari              	0x0002f248 0x1000 + 189000
7   com.apple.Safari              	0x0002f1e1 0x1000 + 188897
8   libSystem.B.dylib             	0x995f881d _pthread_start + 345
9   libSystem.B.dylib             	0x995f86a2 thread_start + 34

Thread 4:
0   libSystem.B.dylib             	0x995cb0fa mach_msg_trap + 10
1   libSystem.B.dylib             	0x995cb867 mach_msg + 68
2   com.apple.CoreFoundation      	0x949f3faf __CFRunLoopRun + 2079
3   com.apple.CoreFoundation      	0x949f3094 CFRunLoopRunSpecific + 452
4   com.apple.CoreFoundation      	0x949f2ec1 CFRunLoopRunInMode + 97
5   com.apple.Foundation          	0x983f542c +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 329
6   com.apple.Foundation          	0x983bc8d4 -[NSThread main] + 45
7   com.apple.Foundation          	0x983bc884 __NSThread__main__ + 1499
8   libSystem.B.dylib             	0x995f881d _pthread_start + 345
9   libSystem.B.dylib             	0x995f86a2 thread_start + 34

Thread 5:  Safari: SafeBrowsingManager
0   libSystem.B.dylib             	0x995cb0fa mach_msg_trap + 10
1   libSystem.B.dylib             	0x995cb867 mach_msg + 68
2   com.apple.CoreFoundation      	0x949f3faf __CFRunLoopRun + 2079
3   com.apple.CoreFoundation      	0x949f3094 CFRunLoopRunSpecific + 452
4   com.apple.CoreFoundation      	0x949f2ec1 CFRunLoopRunInMode + 97
5   com.apple.Safari              	0x0002f4ff 0x1000 + 189695
6   com.apple.Safari              	0x0002f248 0x1000 + 189000
7   com.apple.Safari              	0x0002f1e1 0x1000 + 188897
8   libSystem.B.dylib             	0x995f881d _pthread_start + 345
9   libSystem.B.dylib             	0x995f86a2 thread_start + 34

Thread 6:
0   libSystem.B.dylib             	0x995ea086 select$DARWIN_EXTSN + 10
1   com.apple.CoreFoundation      	0x94a3380d __CFSocketManager + 1085
2   libSystem.B.dylib             	0x995f881d _pthread_start + 345
3   libSystem.B.dylib             	0x995f86a2 thread_start + 34

Thread 7:  Safari: SnapshotStore
0   libSystem.B.dylib             	0x995f9066 __semwait_signal + 10
1   libSystem.B.dylib             	0x995f8d22 _pthread_cond_wait + 1191
2   libSystem.B.dylib             	0x995fa9b8 pthread_cond_wait$UNIX2003 + 73
3   com.apple.JavaScriptCore      	0x00744181 WTF::ThreadCondition::timedWait(WTF::Mutex&, double) + 81
4   com.apple.Safari              	0x00045403 0x1000 + 279555
5   com.apple.Safari              	0x00045353 0x1000 + 279379
6   libSystem.B.dylib             	0x995f881d _pthread_start + 345
7   libSystem.B.dylib             	0x995f86a2 thread_start + 34

Thread 8:  WebCore: LocalStorage
0   libSystem.B.dylib             	0x995f9066 __semwait_signal + 10
1   libSystem.B.dylib             	0x995f8d22 _pthread_cond_wait + 1191
2   libSystem.B.dylib             	0x995fa9b8 pthread_cond_wait$UNIX2003 + 73
3   com.apple.JavaScriptCore      	0x00744181 WTF::ThreadCondition::timedWait(WTF::Mutex&, double) + 81
4   libSystem.B.dylib             	0x995f881d _pthread_start + 345
5   libSystem.B.dylib             	0x995f86a2 thread_start + 34

Thread 9:
0   libSystem.B.dylib             	0x995f9066 __semwait_signal + 10
1   libSystem.B.dylib             	0x995f8d22 _pthread_cond_wait + 1191
2   libSystem.B.dylib             	0x995fa9b8 pthread_cond_wait$UNIX2003 + 73
3   ...dia.FlashPlayer-10.6.plugin	0x2278c43f unregister_ShockwaveFlash + 46367
4   ...dia.FlashPlayer-10.6.plugin	0x22361744 0x22349000 + 100164
5   ...dia.FlashPlayer-10.6.plugin	0x2278c53e unregister_ShockwaveFlash + 46622
6   ...dia.FlashPlayer-10.6.plugin	0x2278c675 unregister_ShockwaveFlash + 46933
7   libSystem.B.dylib             	0x995f881d _pthread_start + 345
8   libSystem.B.dylib             	0x995f86a2 thread_start + 34

Thread 10:
0   libSystem.B.dylib             	0x995f9066 __semwait_signal + 10
1   libSystem.B.dylib             	0x995f8d22 _pthread_cond_wait + 1191
2   libSystem.B.dylib             	0x995fa9b8 pthread_cond_wait$UNIX2003 + 73
3   ...dia.FlashPlayer-10.6.plugin	0x2278c43f unregister_ShockwaveFlash + 46367
4   ...dia.FlashPlayer-10.6.plugin	0x22361744 0x22349000 + 100164
5   ...dia.FlashPlayer-10.6.plugin	0x2278c53e unregister_ShockwaveFlash + 46622
6   ...dia.FlashPlayer-10.6.plugin	0x2278c675 unregister_ShockwaveFlash + 46933
7   libSystem.B.dylib             	0x995f881d _pthread_start + 345
8   libSystem.B.dylib             	0x995f86a2 thread_start + 34

Thread 11:
0   libSystem.B.dylib             	0x995cb15a semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x995f8ca5 _pthread_cond_wait + 1066
2   libSystem.B.dylib             	0x99627848 pthread_cond_timedwait_relative_np + 47
3   ...dia.FlashPlayer-10.6.plugin	0x2278c401 unregister_ShockwaveFlash + 46305
4   ...dia.FlashPlayer-10.6.plugin	0x2267c382 0x22349000 + 3355522
5   ...dia.FlashPlayer-10.6.plugin	0x2278c53e unregister_ShockwaveFlash + 46622
6   ...dia.FlashPlayer-10.6.plugin	0x2278c675 unregister_ShockwaveFlash + 46933
7   libSystem.B.dylib             	0x995f881d _pthread_start + 345
8   libSystem.B.dylib             	0x995f86a2 thread_start + 34

Thread 12:
0   libSystem.B.dylib             	0x995cb15a semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x995f8ca5 _pthread_cond_wait + 1066
2   libSystem.B.dylib             	0x99627848 pthread_cond_timedwait_relative_np + 47
3   ...dia.FlashPlayer-10.6.plugin	0x2278c401 unregister_ShockwaveFlash + 46305
4   ...dia.FlashPlayer-10.6.plugin	0x2267c382 0x22349000 + 3355522
5   ...dia.FlashPlayer-10.6.plugin	0x2278c53e unregister_ShockwaveFlash + 46622
6   ...dia.FlashPlayer-10.6.plugin	0x2278c675 unregister_ShockwaveFlash + 46933
7   libSystem.B.dylib             	0x995f881d _pthread_start + 345
8   libSystem.B.dylib             	0x995f86a2 thread_start + 34

Thread 13:
0   libSystem.B.dylib             	0x995cb15a semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x995f8ca5 _pthread_cond_wait + 1066
2   libSystem.B.dylib             	0x99627848 pthread_cond_timedwait_relative_np + 47
3   ...dia.FlashPlayer-10.6.plugin	0x2278c401 unregister_ShockwaveFlash + 46305
4   ...dia.FlashPlayer-10.6.plugin	0x2267c382 0x22349000 + 3355522
5   ...dia.FlashPlayer-10.6.plugin	0x2278c53e unregister_ShockwaveFlash + 46622
6   ...dia.FlashPlayer-10.6.plugin	0x2278c675 unregister_ShockwaveFlash + 46933
7   libSystem.B.dylib             	0x995f881d _pthread_start + 345
8   libSystem.B.dylib             	0x995f86a2 thread_start + 34

Thread 14:
0   libSystem.B.dylib             	0x995cb15a semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x995f8ca5 _pthread_cond_wait + 1066
2   libSystem.B.dylib             	0x99627848 pthread_cond_timedwait_relative_np + 47
3   ...dia.FlashPlayer-10.6.plugin	0x2278c401 unregister_ShockwaveFlash + 46305
4   ...dia.FlashPlayer-10.6.plugin	0x2252a87f 0x22349000 + 1972351
5   ...dia.FlashPlayer-10.6.plugin	0x2278c53e unregister_ShockwaveFlash + 46622
6   ...dia.FlashPlayer-10.6.plugin	0x2278c675 unregister_ShockwaveFlash + 46933
7   libSystem.B.dylib             	0x995f881d _pthread_start + 345
8   libSystem.B.dylib             	0x995f86a2 thread_start + 34

Thread 15:
0   libSystem.B.dylib             	0x995cb15a semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x995f8ca5 _pthread_cond_wait + 1066
2   libSystem.B.dylib             	0x99627848 pthread_cond_timedwait_relative_np + 47
3   ...dia.FlashPlayer-10.6.plugin	0x2278c401 unregister_ShockwaveFlash + 46305
4   ...dia.FlashPlayer-10.6.plugin	0x2267c382 0x22349000 + 3355522
5   ...dia.FlashPlayer-10.6.plugin	0x2278c53e unregister_ShockwaveFlash + 46622
6   ...dia.FlashPlayer-10.6.plugin	0x2278c675 unregister_ShockwaveFlash + 46933
7   libSystem.B.dylib             	0x995f881d _pthread_start + 345
8   libSystem.B.dylib             	0x995f86a2 thread_start + 34

Thread 16:
0   libSystem.B.dylib             	0x995f09d2 __workq_kernreturn + 10
1   libSystem.B.dylib             	0x995f0f68 _pthread_wqthread + 941
2   libSystem.B.dylib             	0x995f0b86 start_wqthread + 30

Thread 17:
0   libSystem.B.dylib             	0x995f9066 __semwait_signal + 10
1   libSystem.B.dylib             	0x995f8d22 _pthread_cond_wait + 1191
2   libSystem.B.dylib             	0x995fa9b8 pthread_cond_wait$UNIX2003 + 73
3   com.apple.CoreVideo           	0x92fab86a CVDisplayLink::runIOThread() + 1016
4   com.apple.CoreVideo           	0x92fab456 startIOThread(void*) + 156
5   libSystem.B.dylib             	0x995f881d _pthread_start + 345
6   libSystem.B.dylib             	0x995f86a2 thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0xbfffe7e0  ebx: 0x311fa648  ecx: 0x00000000  edx: 0x00000005
  edi: 0x00000000  esi: 0x34c1e8e4  ebp: 0xbfffe798  esp: 0xbfffe770
   ss: 0x0000001f  efl: 0x00010282  eip: 0x00aba443   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
  cr2: 0x00000008

Binary Images:
    0x1000 -   0x52bffb  com.apple.Safari 5.0.2 (6533.18.5) <EF9EA405-B9C3-F400-A9C4-137C59B82FA1> /Applications/Safari.app/Contents/MacOS/Safari
  0x596000 -   0x598ff7 +WebKitNightlyEnabler.dylib ??? (???) <D52346D9-C47C-498B-09C0-38F07BA6DF2A> /Users/cp/Desktop/WebKit.app/Contents/Resources/WebKitNightlyEnabler.dylib
  0x59e000 -   0x79afe7  com.apple.JavaScriptCore 534+ (534.8+) <2B622635-B203-933F-C947-7F3644D84199> /Users/cp/Desktop/WebKit.app/Contents/Frameworks/10.6/JavaScriptCore.framework/Versions/A/JavaScriptCore
  0x7f2000 -   0x90bff7  com.apple.WebKit r67358 (534.8+) <AE0EBC6E-EFDD-97A5-145D-CFA729AA3542> /Users/cp/Desktop/WebKit.app/Contents/Frameworks/10.6/WebKit.framework/Versions/A/WebKit
  0x9aa000 -  0x1611fe7  com.apple.WebCore 534+ (534.8+) <F21C5C79-9964-E323-F879-E61AC9ECF391> /Users/cp/Desktop/WebKit.app/Contents/Frameworks/10.6/WebCore.framework/Versions/A/WebCore
 0x1bfa000 -  0x1c1fff7 +org.andymatuschak.Sparkle 1.5 Beta (git) (830f633) <A2AD00B0-7B4D-5B2D-284C-B7B70DF2A687> /Users/cp/Desktop/WebKit.app/Contents/Frameworks/10.6/Sparkle.framework/Versions/A/Sparkle
 0x1c30000 -  0x1ce5fe7  libcrypto.0.9.7.dylib 0.9.7 (compatibility 0.9.7) <78B6EEB6-50D9-4479-D1A5-B4C381A07E4D> /usr/lib/libcrypto.0.9.7.dylib
0x193fa000 - 0x19417ff7  libPDFRIP.A.dylib 543.50.0 (compatibility 64.0.0) <599CE517-0F34-F9F1-6468-5E5306AD306F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libPDFRIP.A.dylib
0x19675000 - 0x19675ff7  com.apple.JavaPluginCocoa 13.2.0 (13.2.0) <6330F04D-3250-2071-42E4-0ABB54216529> /System/Library/Frameworks/JavaVM.framework/Versions/A/Resources/JavaPluginCocoa.bundle/Contents/MacOS/JavaPluginCocoa
0x1967a000 - 0x19681ff7  com.apple.JavaVM 13.2.0 (13.2.0) <75981DDE-4A7A-EEB6-BAEE-30E9E1DA17C0> /System/Library/Frameworks/JavaVM.framework/Versions/A/JavaVM
0x19e8f000 - 0x19f13fe7  com.apple.xquery 1.3 (29) <E48EF997-7C96-F063-23D7-91B9D4D2A875> /System/Library/PrivateFrameworks/XQuery.framework/XQuery
0x21ab3000 - 0x21bc2feb  libmecab.1.0.0.dylib 2.0.0 (compatibility 2.0.0) <0CA57994-7855-7577-5161-BB3254ACC6D0> /usr/lib/libmecab.1.0.0.dylib
0x22340000 - 0x22343ff2 +com.macromedia.Flash Player.plugin 10.1.82.76 (10.1.82.76) <B765F5A2-282A-A4AF-EF59-2FC8F90888D3> /Library/Internet Plug-Ins/Flash Player.plugin/Contents/MacOS/Flash Player
0x22349000 - 0x22d31fd3 +com.macromedia.FlashPlayer-10.6.plugin 10.1.82.76 (10.1.82.76) <5295F1D9-A734-E9FD-D535-0646BF2615A4> /Library/Internet Plug-Ins/Flash Player.plugin/Contents/PlugIns/FlashPlayer-10.6.plugin/Contents/MacOS/FlashPlayer-10.6
0x23022000 - 0x23026ff3  com.apple.audio.AudioIPCPlugIn 1.1.2 (1.1.2) <5570694E-039D-7970-6083-1C8A7B7C937B> /System/Library/Extensions/AudioIPCDriver.kext/Contents/Resources/AudioIPCPlugIn.bundle/Contents/MacOS/AudioIPCPlugIn
0x2302b000 - 0x23031ffb  com.apple.audio.AppleHDAHALPlugIn 1.8.7 (1.8.7f1) <0FE8B697-6D19-69C6-FA94-E18064ACFAEC> /System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
0x23036000 - 0x231a9ff7  GLEngine ??? (???) <5EB664AC-6395-A161-ED9D-12219745A887> /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
0x231db000 - 0x235e0fe7  libclh.dylib 3.1.1 C  (3.1.1) <50390561-2363-6DB1-407B-FD807F375466> /System/Library/Extensions/GeForceGLDriver.bundle/Contents/MacOS/libclh.dylib
0x23604000 - 0x23627fe7  GLRendererFloat ??? (???) <4F847096-3DBD-AE90-90FF-5AE12E15D3C9> /System/Library/Frameworks/OpenGL.framework/Resources/GLRendererFloat.bundle/GLRendererFloat
0x282b3000 - 0x282c1fe7  libSimplifiedChineseConverter.dylib 49.0.0 (compatibility 1.0.0) <8F5FA7F7-840D-C5EF-C6E6-E2AF7CE43CD2> /System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib
0x287d7000 - 0x287e9ff7  libTraditionalChineseConverter.dylib 49.0.0 (compatibility 1.0.0) <026B8702-B0A6-1D90-BBD6-AAAD2E14810D> /System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib
0x70000000 - 0x700caffb  com.apple.audio.units.Components 1.6.1 (1.6.1) <DF4C68F0-54D1-00CD-DFCA-CD002D2F81A9> /System/Library/Components/CoreAudio.component/Contents/MacOS/CoreAudio
0x8f050000 - 0x8f711fef  com.apple.GeForceGLDriver 1.6.16 (6.1.6) <564FA254-348F-D753-74D9-85F91F64B805> /System/Library/Extensions/GeForceGLDriver.bundle/Contents/MacOS/GeForceGLDriver
0x8fe00000 - 0x8fe4162b  dyld 132.1 (???) <A4F6ADCC-6448-37B4-ED6C-ABB2CD06F448> /usr/lib/dyld
0x9010a000 - 0x901c3fe7  libsqlite3.dylib 9.6.0 (compatibility 9.0.0) <B6F00094-F6DC-2399-C36D-1FAF3525EB44> /usr/lib/libsqlite3.dylib
0x901c4000 - 0x901c4ff7  com.apple.Accelerate 1.6 (Accelerate 1.6) <3891A689-4F38-FACD-38B2-4BF937DE30CF> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x901c5000 - 0x901d1ff7  libkxld.dylib ??? (???) <322A4B52-8305-3081-6B74-813C3A87A56D> /usr/lib/system/libkxld.dylib
0x901d2000 - 0x9020aff7  com.apple.LDAPFramework 2.0 (120.1) <70B1F9EB-F6DE-3367-A90B-3467143DEEF3> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x9020b000 - 0x90337ffb  com.apple.MediaToolbox 0.484.11 (484.11) <B93B175A-2039-2FD2-FBE4-22C9F8C9E223> /System/Library/PrivateFrameworks/MediaToolbox.framework/Versions/A/MediaToolbox
0x90338000 - 0x90390fe7  com.apple.datadetectorscore 2.0 (80.7) <3830B574-3B0B-76DA-390D-702D908A71F4> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
0x90391000 - 0x90396ff7  com.apple.OpenDirectory 10.6 (10.6) <27D81AE3-DB56-3872-8CBB-BE88EF5DB3B3> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
0x90397000 - 0x90429fe3  com.apple.print.framework.PrintCore 6.2 (312.5) <71C60B1F-2DD7-3321-0DEC-7947ACFBE977> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x9042a000 - 0x904a5fe7  com.apple.audio.CoreAudio 3.2.2 (3.2.2) <51D0E2DC-B15F-AF6C-70D8-026DDAD4E2A5> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x904a6000 - 0x90501ff7  com.apple.framework.IOKit 2.0 (???) <A013B850-6ECB-594A-CBD6-DB156B11871B> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90502000 - 0x9072dff3  com.apple.QuartzComposer 4.1 (156.16) <578A1842-8B62-00BF-B2E8-4C0AA8E6A938> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
0x9072e000 - 0x90737ff7  com.apple.corelocation 12 (12) <8CD26B4C-6A7E-4CDD-E610-E6209D837F96> /System/Library/Frameworks/CoreLocation.framework/Versions/A/CoreLocation
0x907fc000 - 0x908a5ff7  com.apple.CFNetwork 454.9.7 (454.9.7) <B740E1BD-01B7-34C2-2A9A-6DBC68B1EA5B> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x908df000 - 0x908e1ff7  com.apple.securityhi 4.0 (36638) <38D36D4D-C798-6ACE-5FA8-5C001993AD6B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x90ce9000 - 0x90d10ff7  com.apple.quartzfilters 1.6.0 (1.6.0) <F45520B0-6B27-CD57-54B1-203FE32120DA> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters
0x90d11000 - 0x90d31fe7  libresolv.9.dylib 41.0.0 (compatibility 1.0.0) <751955F3-21FB-A03A-4E92-1F3D4EFB8C5B> /usr/lib/libresolv.9.dylib
0x90d32000 - 0x90d73ff7  libRIP.A.dylib 543.50.0 (compatibility 64.0.0) <8BAE1FC1-A478-F151-17C7-2D5DE470AC4F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x90d74000 - 0x90d74ff7  com.apple.Cocoa 6.6 (???) <5A785062-1ABB-2A54-BAAC-8FEF95275E05> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x90d75000 - 0x90d85ff7  libsasl2.2.dylib 3.15.0 (compatibility 3.0.0) <E276514D-394B-2FDD-6264-07A444AA6A4E> /usr/lib/libsasl2.2.dylib
0x90d94000 - 0x91583557  com.apple.CoreGraphics 1.543.50 (???) <74533178-5C90-0F54-1B06-2E1C5251ED5D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x91584000 - 0x91584ff7  com.apple.Accelerate.vecLib 3.6 (vecLib 3.6) <ABF97DA4-3BDF-6FFD-6239-B023CA1F7974> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91585000 - 0x91593ff7  com.apple.opengl 1.6.8 (1.6.8) <EBB7B411-60DD-DB9D-20C0-3E6258762EF0> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x91608000 - 0x916b8ff3  com.apple.ColorSync 4.6.3 (4.6.3) <AA1076EA-7665-3005-A837-B661260DBE54> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x916b9000 - 0x9178afe3  ColorSyncDeprecated.dylib 4.6.0 (compatibility 1.0.0) <8FDB4C40-D453-DA53-2A66-9A53998AB23C> /System/Library/Frameworks/ApplicationServices.framework/Frameworks/ColorSync.framework/Versions/A/Resources/ColorSyncDeprecated.dylib
0x9178b000 - 0x917d4fe7  libTIFF.dylib ??? (???) <9CFF48CC-4852-4D06-17AC-3C947C824159> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x917d5000 - 0x917d5ff7  com.apple.vecLib 3.6 (vecLib 3.6) <FF4DC8B6-0AB0-DEE8-ADA8-7B57645A1F36> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x918b5000 - 0x918c0ff7  com.apple.CrashReporterSupport 10.6.3 (250) <981124CA-6E89-94C5-C7E9-4E0D6CA06F1D> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
0x918c1000 - 0x919c3fef  com.apple.MeshKitIO 1.1 (49.2) <EC52D0C5-5291-441D-F137-8E4DD60F0E25> /System/Library/PrivateFrameworks/MeshKit.framework/Versions/A/Frameworks/MeshKitIO.framework/Versions/A/MeshKitIO
0x919c4000 - 0x919fffeb  libFontRegistry.dylib ??? (???) <A102F61F-25D5-001A-20C3-56304C585072> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
0x91a00000 - 0x91a3fff7  com.apple.ImageCaptureCore 1.0.2 (1.0.2) <18E338B0-D82E-2ADC-FB9E-8909E765C41B> /System/Library/Frameworks/ImageCaptureCore.framework/Versions/A/ImageCaptureCore
0x91a40000 - 0x91aedfe7  libobjc.A.dylib 227.0.0 (compatibility 1.0.0) <F237B77D-75A3-7240-931D-4735B91D365F> /usr/lib/libobjc.A.dylib
0x91c4f000 - 0x91c52ff7  libCGXType.A.dylib 543.50.0 (compatibility 64.0.0) <3B49AED9-0DBA-9D21-F9AC-8784363AD762> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
0x91c60000 - 0x91ec3fef  com.apple.security 6.1.1 (37594) <8AE73F5F-936C-80F6-B05B-A50C3082569C> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x91ee3000 - 0x92026fef  com.apple.QTKit 7.6.6 (1742) <98ECA8E3-73F0-D21B-8B7E-8FE651E29A7F> /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
0x92027000 - 0x92064ff7  com.apple.SystemConfiguration 1.10.2 (1.10.2) <398BB007-41FD-1A30-26D8-CB86ED5E467E> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x92065000 - 0x920cefe7  libstdc++.6.dylib 7.9.0 (compatibility 7.0.0) <AFDA4768-FF21-38D2-A811-A37B5C4AD416> /usr/lib/libstdc++.6.dylib
0x920cf000 - 0x920f1fef  com.apple.DirectoryService.Framework 3.6 (621.3) <96E7B3D5-A881-2B02-E97F-6B09461F3C98> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x920f2000 - 0x92100fe7  libz.1.dylib 1.2.3 (compatibility 1.0.0) <3CE8AA79-F077-F1B0-A039-9103A4A02E92> /usr/lib/libz.1.dylib
0x92101000 - 0x9210eff7  com.apple.NetFS 3.2.1 (3.2.1) <E2AFCE90-0DF6-C3B5-A123-222259E985FF> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
0x921b9000 - 0x92254ff7  com.apple.ApplicationServices.ATS 4.3 (???) <7ECA252B-5F67-2816-A4F0-73E1DC833728> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x92255000 - 0x9225cff3  com.apple.print.framework.Print 6.1 (237.1) <726A7F31-8C27-8403-0016-71E022EDC14C> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x9225d000 - 0x9235efe7  libxml2.2.dylib 10.3.0 (compatibility 10.0.0) <BBBC1E4C-024F-3C81-7CB1-70DB451A3E6A> /usr/lib/libxml2.2.dylib
0x92379000 - 0x923caff7  com.apple.HIServices 1.8.0 (???) <5FA723CA-B04B-0576-1511-D1FAD5AF0546> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x923cb000 - 0x923ecfe7  com.apple.opencl 12.1 (12.1) <DA2AC3FA-ED11-2D10-21E9-7BDF4778B228> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
0x92429000 - 0x9243dffb  com.apple.speech.synthesis.framework 3.10.35 (3.10.35) <9F5CE4F7-D05C-8C14-4B76-E43D07A8A680> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x9243e000 - 0x928f7ffb  com.apple.VideoToolbox 0.484.11 (484.11) <6AB58081-F7C4-46F9-2C05-CFED9E38F0A0> /System/Library/PrivateFrameworks/VideoToolbox.framework/Versions/A/VideoToolbox
0x928f8000 - 0x9292bff7  com.apple.AE 496.4 (496.4) <23F0DB1F-2856-0091-80AE-BDEF9A4F1731> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x9292c000 - 0x9295dff3  libTrueTypeScaler.dylib ??? (???) <7601D717-236D-8F4E-91F5-E69BB2920478> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
0x92977000 - 0x9297dff7  com.apple.DisplayServicesFW 2.2.2 (251) <6E4020F6-4DD0-F137-F226-F396807E3C3B> /System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices
0x9297e000 - 0x929f5ff3  com.apple.backup.framework 1.2.2 (1.2.2) <EAD97F26-D3B1-F618-A84C-CF689860C2AF> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x929f6000 - 0x92aacffb  libFontParser.dylib ??? (???) <067DC1A2-764B-41EA-B07E-4205472749B7> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
0x92ad9000 - 0x92b09ff7  com.apple.MeshKit 1.1 (49.2) <464BD81C-9970-FBF5-507F-3EEBD020A967> /System/Library/PrivateFrameworks/MeshKit.framework/Versions/A/MeshKit
0x92b0a000 - 0x92b15ff7  libCSync.A.dylib 543.50.0 (compatibility 64.0.0) <4FA0CE4A-BDE5-0E3D-37F0-03B41F0C2637> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x92b16000 - 0x92b17ff7  com.apple.TrustEvaluationAgent 1.1 (1) <06484720-AB50-6FD9-B5BF-05F5A640C9E5> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
0x92b18000 - 0x92b6eff7  com.apple.MeshKitRuntime 1.1 (49.2) <4B41E225-69AC-6EFA-190E-DC6A4BD8109E> /System/Library/PrivateFrameworks/MeshKit.framework/Versions/A/Frameworks/MeshKitRuntime.framework/Versions/A/MeshKitRuntime
0x92b6f000 - 0x92b70ff7  com.apple.MonitorPanelFramework 1.3.0 (1.3.0) <1DD14B2E-E466-1A45-5CF7-947766F0ECD9> /System/Library/PrivateFrameworks/MonitorPanel.framework/Versions/A/MonitorPanel
0x92b71000 - 0x92c0efe3  com.apple.LaunchServices 362.1 (362.1) <F6789417-5986-60ED-39C5-257C63BD00A7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x92c0f000 - 0x92c43ff7  libssl.0.9.8.dylib 0.9.8 (compatibility 0.9.8) <0B900F26-51C1-7639-346F-24B080AEDAF3> /usr/lib/libssl.0.9.8.dylib
0x92da7000 - 0x92da9ff7  libRadiance.dylib ??? (???) <AB06F616-E3EA-5966-029A-8AA44BBE5B28> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x92de3000 - 0x92f9dfe3  com.apple.ImageIO.framework 3.0.3 (3.0.3) <A93A514B-C1BF-21D0-FB03-CB775DE4FFAA> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x92fa9000 - 0x92fc8ff7  com.apple.CoreVideo 1.6.1 (45.5) <567D483E-58F7-54F9-3E6F-FAD3B21FAABF> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x9301a000 - 0x9303eff7  libJPEG.dylib ??? (???) <5CE96981-6B2A-D15B-4A17-E7BD329095B6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x93071000 - 0x93089ff7  com.apple.CFOpenDirectory 10.6 (10.6) <3F5A2267-3C89-63A1-724D-3C09538BE092> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
0x9308a000 - 0x9310afeb  com.apple.SearchKit 1.3.0 (1.3.0) <7AE32A31-2B8E-E271-C03A-7A0F7BAFC85C> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x9310b000 - 0x9314fff3  com.apple.coreui 2 (114) <1A3C3B7F-3837-6477-3114-47F6BFD56CB2> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x93150000 - 0x9317aff7  com.apple.shortcut 1.1 (1.1) <08A1868D-FEF4-8FB3-D814-79385DCBEC7D> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x93240000 - 0x935a8ff7  com.apple.QuartzCore 1.6.2 (227.22) <4288F0D2-0C87-F054-C372-8764B44DE024> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x935bc000 - 0x935d1fff  com.apple.ImageCapture 6.0 (6.0) <04BD774A-2A1A-DA87-0885-10A7E8EB3E3F> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x93715000 - 0x937adfe7  edu.mit.Kerberos 6.5.10 (6.5.10) <8B83AFF3-C074-E47C-4BD0-4546EED0D1BC> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x937ae000 - 0x937b2ff7  IOSurface ??? (???) <66E11D8E-CF4B-EFD0-37F9-20177C647021> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
0x937b3000 - 0x937b7ff7  libGIF.dylib ??? (???) <3ECD4D2C-40FE-E9A0-A2D2-E36D1C00D3A8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x937f9000 - 0x93867ff7  com.apple.ISSupport 1.9.3 (51) <E15DD50C-17FD-6CA5-2C6C-051BC6968C61> /System/Library/PrivateFrameworks/ISSupport.framework/Versions/A/ISSupport
0x9397d000 - 0x9398dff7  com.apple.DSObjCWrappers.Framework 10.6 (134) <95DC4010-ECC4-3A75-5DEE-11BB2AE895EE> /System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x9398e000 - 0x93c87fef  com.apple.QuickTime 7.6.6 (1742) <89720F2A-F33B-FF09-3D81-F9F25A99F3EB> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x93caf000 - 0x93cf2ff7  libGLU.dylib ??? (???) <B50572FF-3EAC-FD98-1A01-6B718D98F67F> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x93cf3000 - 0x93cf3ff7  com.apple.CoreServices 44 (44) <B9461120-F72A-D28F-D0CF-5647958BD3F9> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x93eec000 - 0x93f29ff7  com.apple.CoreMedia 0.484.11 (484.11) <0346F9E5-AEFE-B751-7D85-88D156C01385> /System/Library/PrivateFrameworks/CoreMedia.framework/Versions/A/CoreMedia
0x93f2a000 - 0x940acfe7  libicucore.A.dylib 40.0.0 (compatibility 1.0.0) <2314BD12-0821-75BB-F3BC-98D324CFD30A> /usr/lib/libicucore.A.dylib
0x940ad000 - 0x940b8ff7  libGL.dylib ??? (???) <B87E0676-F5EF-8DA3-6DEE-13C43B3832A7> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x940b9000 - 0x943ddfef  com.apple.HIToolbox 1.6.3 (???) <0A5F56E2-9AF3-728D-70AE-429522AEAD8A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x9440a000 - 0x9444aff3  com.apple.securityinterface 4.0.1 (37214) <64F23D4A-EE79-0290-3695-4B199D997C79> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x9444b000 - 0x94455ffb  com.apple.speech.recognition.framework 3.11.1 (3.11.1) <90C38107-AEE7-AE55-5C51-28D129B19BCD> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x94456000 - 0x94463fe7  libbz2.1.0.dylib 1.0.5 (compatibility 1.0.0) <FE85CFF8-01DA-C7E0-BCD1-364DCD35D16F> /usr/lib/libbz2.1.0.dylib
0x94464000 - 0x944aaff7  libauto.dylib ??? (???) <7FE46BC8-ED91-12A7-83D0-2102D37CA32D> /usr/lib/libauto.dylib
0x944ab000 - 0x944edff7  libvDSP.dylib 268.0.1 (compatibility 1.0.0) <1AE34B00-8A62-1E51-935F-BB3F0E4BE50F> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x944ee000 - 0x94526ff7  libcups.2.dylib 2.8.0 (compatibility 2.0.0) <76C02F5C-98FD-BD64-B5FB-C698FB76EA25> /usr/lib/libcups.2.dylib
0x94549000 - 0x9457dfe7  com.apple.framework.Apple80211 6.2.3 (623.1) <C096EF56-ABA3-A869-65AA-D1837351E1F6> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
0x9457e000 - 0x94581ff7  libCoreVMClient.dylib ??? (???) <420D9D10-B00E-202D-AA98-026996AB97DD> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
0x94582000 - 0x946aefff  com.apple.audio.toolbox.AudioToolbox 1.6.3 (1.6.3) <EC38C454-4402-9A96-94ED-40608C9B0326> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x946af000 - 0x946b5fff  com.apple.CommonPanels 1.2.4 (91) <CE92759E-865E-8A3B-1488-ECD497E4074D> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x946b6000 - 0x946deff7  libxslt.1.dylib 3.24.0 (compatibility 3.0.0) <12FBE8CB-CC8E-FE8A-7362-C852625C5AAF> /usr/lib/libxslt.1.dylib
0x946df000 - 0x948baff3  libType1Scaler.dylib ??? (???) <3CCADAB2-FBBF-15C9-C70C-4D26746B309E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libType1Scaler.dylib
0x948bb000 - 0x949b6ffb  com.apple.PubSub 1.0.5 (65.20) <2AD354A5-5F08-82AE-BBDE-873F8C233A0B> /System/Library/Frameworks/PubSub.framework/Versions/A/PubSub
0x949b7000 - 0x94b31fe3  com.apple.CoreFoundation 6.6.3 (550.29) <00373783-3744-F47D-2191-BEEA658F0C3D> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x94b32000 - 0x94b33ff7  com.apple.audio.units.AudioUnit 1.6.3 (1.6.3) <ED2173F9-15C7-5F90-0B36-3ACAD1E6886C> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x94b34000 - 0x94b5afff  com.apple.DictionaryServices 1.1.1 (1.1.1) <72D54B80-2D85-5BAB-CBB4-8002E150635D> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x94bea000 - 0x94dccfff  com.apple.imageKit 2.0.3 (1.0) <BF2ECA4D-FCD8-AD5D-E100-22370F2C7EE0> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit
0x94dcd000 - 0x94e27fe7  com.apple.CorePDF 1.3 (1.3) <696ADD5F-C038-A63B-4732-82E4109379D7> /System/Library/PrivateFrameworks/CorePDF.framework/Versions/A/CorePDF
0x94e28000 - 0x94e78ff7  com.apple.framework.familycontrols 2.0.1 (2010) <B9762E20-543D-13B9-F6BF-E8585F04CA01> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
0x94eca000 - 0x94f94fef  com.apple.CoreServices.OSServices 357 (357) <CF9530AD-F581-B831-09B6-16D9F9283BFA> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x94f95000 - 0x94f95ff7  com.apple.quartzframework 1.5 (1.5) <7DD4EBF1-60C4-9329-08EF-6E59731D9430> /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
0x94f96000 - 0x94f9aff7  libGFXShared.dylib ??? (???) <B6028E64-3F3B-C637-DA04-D0CD528F6E1F> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
0x959e7000 - 0x959f6ffb  SyndicationUI ??? (???) <DFC52859-AA3C-80BE-0B86-AE36C1A50547> /System/Library/PrivateFrameworks/SyndicationUI.framework/Versions/A/SyndicationUI
0x959f7000 - 0x95aebff7  libiconv.2.dylib 7.0.0 (compatibility 7.0.0) <475AEF89-91A5-5100-8662-DA508D3830E9> /usr/lib/libiconv.2.dylib
0x95aec000 - 0x95b50fff  com.apple.htmlrendering 72 (1.1.4) <0D22B190-513B-7FF6-39FC-9D336285DE08> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x95b56000 - 0x95b59ffb  com.apple.help 1.3.1 (41) <6A5AD406-9D8E-5BAC-51E1-E09AB9A6D159> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x95b75000 - 0x95babfff  libtidy.A.dylib ??? (???) <B1B82CF9-C6B1-5BC0-2E1D-A73840DA3885> /usr/lib/libtidy.A.dylib
0x95bac000 - 0x95fc2ff7  libBLAS.dylib 219.0.0 (compatibility 1.0.0) <9D89FCB3-24C9-8FCF-DB49-27B184AC3222> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x95fe5000 - 0x9605eff7  com.apple.PDFKit 2.5.1 (2.5.1) <4C374867-71B8-B202-ADDA-9985B4379470> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
0x9605f000 - 0x9613afe7  com.apple.DesktopServices 1.5.7 (1.5.7) <A69072AD-C47E-A00D-4A69-6E46A7FB2119> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x9613e000 - 0x9621bff7  com.apple.vImage 4.0 (4.0) <D979C8BC-7011-A45C-7141-39FC1043CC87> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x9621c000 - 0x96222ff7  libCGXCoreImage.A.dylib 543.50.0 (compatibility 64.0.0) <94F66BA6-A4E8-63A4-1B70-EFAA4C75D668> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
0x96223000 - 0x96658ff7  libLAPACK.dylib 219.0.0 (compatibility 1.0.0) <4D2F47EF-BD32-1E3C-6A0A-438896ADE2BE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x96659000 - 0x96668fe7  libxar.1.dylib ??? (???) <382463E5-02FE-8DDD-E061-C7F730B21F10> /usr/lib/libxar.1.dylib
0x96669000 - 0x966d7ff7  com.apple.QuickLookUIFramework 2.2 (327.4) <1F14B373-4F47-9D64-AA3F-7AB0B7ADE1CD> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuickLookUI.framework/Versions/A/QuickLookUI
0x966d8000 - 0x966d8ff7  liblangid.dylib ??? (???) <FCC37057-CDD7-2AF1-21AF-52A06C4048FF> /usr/lib/liblangid.dylib
0x966d9000 - 0x9670aff7  libGLImage.dylib ??? (???) <B45EA17E-03EF-3575-0843-A1205F29E71E> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x9670c000 - 0x96912feb  com.apple.AddressBook.framework 5.0.2 (870) <3E9D6CF3-6C41-245D-5343-941A185C8384> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x96913000 - 0x96916fe7  libmathCommon.A.dylib 315.0.0 (compatibility 1.0.0) <1622A54F-1A98-2CBE-B6A4-2122981A500E> /usr/lib/system/libmathCommon.A.dylib
0x96930000 - 0x96941ff7  com.apple.LangAnalysis 1.6.6 (1.6.6) <97511CC7-FE23-5AC3-2EE2-B5479FAEB316> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x96942000 - 0x9698ffeb  com.apple.DirectoryService.PasswordServerFramework 6.0 (6.0) <27F3FF53-F818-9836-2101-3E963FE0C0E0> /System/Library/PrivateFrameworks/PasswordServer.framework/Versions/A/PasswordServer
0x969ff000 - 0x96a81ffb  SecurityFoundation ??? (???) <3670AE8B-06DA-C447-EB14-79423DB9C474> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x96ad0000 - 0x96ae2ff7  com.apple.MultitouchSupport.framework 205.34 (205.34) <813475E3-B323-9405-F758-DDA1F5D63B20> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
0x96ae3000 - 0x96b21ff7  com.apple.QuickLookFramework 2.2 (327.4) <4202F582-6CB6-24D9-23B7-FD72946A31C6> /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
0x96b63000 - 0x96ba6ff7  com.apple.NavigationServices 3.5.4 (182) <FE19D51B-233A-69EC-9E36-B89D0EA438C1> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x96bda000 - 0x96bdaff7  com.apple.ApplicationServices 38 (38) <EAF1BC8C-4FD4-4300-B8F7-4B24E49125E2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x96bdb000 - 0x96ccdff7  libcrypto.0.9.8.dylib 0.9.8 (compatibility 0.9.8) <D2C86308-F998-C83D-F49B-CD484D4EFE6A> /usr/lib/libcrypto.0.9.8.dylib
0x96cce000 - 0x96dfcfe7  com.apple.CoreData 102.1 (251) <0C2636F3-CCB4-5ED9-1D3E-5AE36BE57071> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x96dfd000 - 0x9711dfeb  com.apple.CoreServices.CarbonCore 861.13 (861.13) <52803668-3669-36BD-57DD-078FBA835081> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x9711e000 - 0x9711eff7  com.apple.Carbon 150 (152) <9252D5F2-462D-2C15-80F3-109644D6F704> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x9713d000 - 0x97158ff7  libPng.dylib ??? (???) <36A3D75E-5178-4358-7F02-444E276D61AD> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x97159000 - 0x97a39ff7  com.apple.AppKit 6.6.6 (1038.29) <6F28C335-6DC2-AE0E-B79A-F256DBD0BB45> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x97a3a000 - 0x97a4efe7  libbsm.0.dylib ??? (???) <B328FA0A-899C-4FC4-F2AC-2FDC08819CD2> /usr/lib/libbsm.0.dylib
0x97a4f000 - 0x97afdff3  com.apple.ink.framework 1.3.3 (107) <E215794C-F3E9-C067-8882-9054796DDA8A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x97afe000 - 0x97b76fef  com.apple.AppleVAFramework 4.9.20 (4.9.20) <D8B544CB-9E32-81C2-59BD-C5DDB66DA621> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
0x97b77000 - 0x97bbdffb  com.apple.CoreMediaIOServices 130.0 (1035) <F5E6F93D-6844-9FD7-8769-44503DFD5363> /System/Library/PrivateFrameworks/CoreMediaIOServices.framework/Versions/A/CoreMediaIOServices
0x97bbe000 - 0x97bc5ff7  com.apple.agl 3.0.12 (AGL-3.0.12) <6877F0D8-0DCF-CB98-5304-913667FF50FA> /System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x97bc6000 - 0x97cd2ff7  libGLProgrammability.dylib ??? (???) <23AB2443-1DB3-3BFE-38A6-11F0BE453989> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x97d1d000 - 0x97d8cff7  libvMisc.dylib 268.0.1 (compatibility 1.0.0) <B3DEACA1-9375-CF8F-0898-AA2C5F8159DC> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x97d8d000 - 0x97deefe7  com.apple.CoreText 3.1.0 (???) <98011243-2CCE-DED0-5326-98DA0CA8577D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x97def000 - 0x9819dfe3  com.apple.RawCamera.bundle 3.3.0 (533) <05A38D21-8556-434C-8BAA-850A6EC99B37> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x9819e000 - 0x981a7ff7  com.apple.DiskArbitration 2.3 (2.3) <6AA6DDF6-AFC3-BBDB-751A-64AE3580A49E> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x981a8000 - 0x98250ffb  com.apple.QD 3.35 (???) <70D824C5-C1DF-A0E7-22EC-533B2C10957A> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x98251000 - 0x9825bff7  com.apple.HelpData 2.0.4 (34) <7F27DBA6-3015-7AFB-D256-AF7C41823E6C> /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x983a6000 - 0x98616ffb  com.apple.Foundation 6.6.3 (751.29) <E77D3906-99F4-FEF4-FBB0-86FB3C94073E> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x98617000 - 0x98633fe3  com.apple.openscripting 1.3.1 (???) <0E6B81D1-C1BD-1B5F-836F-256E6701B5DE> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x99585000 - 0x995c9fe7  com.apple.Metadata 10.6.3 (507.10) <630494FA-3BB3-EDD3-E10B-8DAAF4831E26> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x995ca000 - 0x99770feb  libSystem.B.dylib 125.2.0 (compatibility 1.0.0) <3441F338-2218-6D36-3F95-3A16FBF6713D> /usr/lib/libSystem.B.dylib
0x997b5000 - 0x997bffe7  com.apple.audio.SoundManager 3.9.3 (3.9.3) <DE0E0EF6-8190-3F65-6BDD-5AC9D8A025D6> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0xba900000 - 0xba916ff7  libJapaneseConverter.dylib 49.0.0 (compatibility 1.0.0) <12C58901-CCF3-4E8E-30CA-92A10CD55DF1> /System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0xbab00000 - 0xbab21fe7  libKoreanConverter.dylib 49.0.0 (compatibility 1.0.0) <7FFF4AFA-6522-C7D5-760F-A8F13D6EF032> /System/Library/CoreServices/Encodings/libKoreanConverter.dylib
0xffff0000 - 0xffff1fff  libSystem.B.dylib ??? (???) <3441F338-2218-6D36-3F95-3A16FBF6713D> /usr/lib/libSystem.B.dylib

Model: MacBook7,1, BootROM MB71.0039.B09, 2 processors, Intel Core 2 Duo, 2.4 GHz, 2 GB, SMC 1.60f5
Graphics: NVIDIA GeForce 320M, NVIDIA GeForce 320M, PCI, 256 MB
Memory Module: global_name
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x93), Broadcom BCM43xx 1.0 (5.10.131.16.1)
Bluetooth: Version 2.3.7f1, 2 service, 19 devices, 1 incoming serial ports
Network Service: AirPort, AirPort, en1
Serial ATA Device: Hitachi HTS545025B9SA02, 232.89 GB
Serial ATA Device: MATSHITADVD-R   UJ-898
USB Device: Apple Internal Keyboard / Trackpad, 0x05ac  (Apple Inc.), 0x0236, 0x06300000
USB Device: BRCM2070 Hub, 0x0a5c  (Broadcom Corp.), 0x4500, 0x06600000
USB Device: Bluetooth USB Host Controller, 0x05ac  (Apple Inc.), 0x8218, 0x06630000
USB Device: Built-in iSight, 0x05ac  (Apple Inc.), 0x8507, 0x24600000
Comment 1 Chris Petersen 2010-09-12 21:56:15 PDT
This was working fine with Webkit NB 67077 so this regression is between 67077 - r67358.
Comment 2 Chris Petersen 2010-09-12 22:44:15 PDT
This problem isn't just from selecting the color text popup menu. This crash occurs with selecting a different font style from the Font popup or selecting a different font size from the font size popup.
Comment 3 Darin Adler 2010-09-12 23:12:01 PDT
In the loop in Editor::selectionStartCSSPropertyValue I see no guarantee that ancestor won’t become nil. And when it does, I can see this sort of crash occurring.
Comment 4 Darin Adler 2010-09-12 23:13:22 PDT
Is this a duplicate of bug 45068? I think so.
Comment 5 Darin Adler 2010-09-12 23:16:42 PDT
I guess not, because the build number here is newer than that fix.
Comment 6 Ryosuke Niwa 2010-09-13 00:31:47 PDT
Created attachment 67370 [details]
crash demo

The problem is that we do
    if (nodeToRemove) {
        ExceptionCode ec = 0;
        nodeToRemove->remove(ec);
        ASSERT(!ec);
    } 
before retrieving the computed style.  The crash occurs when font size is queries and there's a typing style (and therefore computed style is obtained form nodeToRemove).  Will post a patch first thing in the tomorrow morning.  Sorry about the regression.  I feel ashamed of myself producing many regressions lately.
Comment 7 Darin Adler 2010-09-13 08:16:39 PDT
(In reply to comment #6)
> producing many regressions lately

Well, that’s because you’ve done a lot of work, so don’t feel too bad!
Comment 8 Ryosuke Niwa 2010-09-13 11:09:19 PDT
Created attachment 67434 [details]
Patch
Comment 9 Ryosuke Niwa 2010-09-13 11:18:05 PDT
(In reply to comment #7)
> (In reply to comment #6)
> > producing many regressions lately
> 
> Well, that’s because you’ve done a lot of work, so don’t feel too bad!

Thanks.  That means a lot to me.
Comment 10 Ryosuke Niwa 2010-09-13 21:18:38 PDT
Committed r67441: <http://trac.webkit.org/changeset/67441>
Comment 11 Chris Petersen 2010-09-13 23:14:50 PDT
Will verify this once a new nightly build becomes available.
Comment 12 Chris Petersen 2010-09-14 11:06:01 PDT
Verified fixed in r67472